package app16a.dao;

import app16a.util.Cache;
import java.sql.Connection;
import java.sql.SQLException;
import javax.naming.Context;
import javax.sql.DataSource;


public class DAOBase implements DAO {
	
  public Connection getConnection() throws DAOException {
      
    Connection connection = null;
    Context context = null;   
 
    DataSource dataSource = Cache.getInstance().getDataSource();
    if (dataSource!= null) {
      try {
        connection = dataSource.getConnection();
      }
      catch (SQLException e) {
          System.out.println("DAOBase");
          throw new DAOException();
      }
    } 
    return connection;
  }
}


